Skip to main content
POST
/
api
/
v1
/
runs
/
{id}
/
questions
/
{qid}
/
answer
Submit Run Answer
curl --request POST \
  --url https://api.example.com/api/v1/runs/{id}/questions/{qid}/answer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "Yes, proceed with the changes.",
  "selected_option_key": "option_a",
  "selected_option_keys": [
    "option_a",
    "option_b"
  ]
}
'
{
  "errors": [
    {
      "status": "404",
      "title": "Not Found",
      "detail": "Run not found.",
      "code": "access_token_expired"
    }
  ],
  "leftover_env_keys": [
    "<string>"
  ],
  "removed_env_keys": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Raw dev token passed as Authorization: Bearer fabro_dev_... when server.auth.methods includes dev-token.

Path Parameters

id
string
required

Unique run identifier (ULID).

qid
string
required

Unique identifier of a pending question.

Body

application/json

Request body for submitting an answer to a pending question. At least one of value, selected_option_key, or selected_option_keys must be provided.

value
string

Freeform answer text.

Example:

"Yes, proceed with the changes."

selected_option_key
string

Key of the selected option (for single-select multiple-choice questions).

Example:

"option_a"

selected_option_keys
string[]

Keys of selected options (for multi-select questions).

Example:
["option_a", "option_b"]

Response

Answer accepted